Bug 1899747 - When an Install Plan gets deleted, OLM does not create a new one
Summary: When an Install Plan gets deleted, OLM does not create a new one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 4.6.z
Assignee: Vu Dinh
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On: 1841175
Blocks: 1905137
TreeView+ depends on / blocked
 
Reported: 2020-11-19 21:53 UTC by OpenShift BugZilla Robot
Modified: 2021-01-18 16:05 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-14 13:51:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1874 0 None closed [release-4.6] Bug 1899747: Recreate pending installplan if deleted before approval 2021-02-15 14:35:36 UTC
Red Hat Knowledge Base (Solution) 5437091 0 None None None 2021-01-18 16:05:20 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:51:42 UTC

Comment 2 Tom Buskey 2020-12-07 15:56:50 UTC
Installed etcd with manual IP
oc get ip
NAME            CSV                   APPROVAL   APPROVED
install-mxdtw   etcdoperator.v0.9.4   Manual     false
 
$ oc delete ip install-mxdtw 
installplan.operators.coreos.com "install-mxdtw" deleted

$ oc get ip
NAME            CSV                   APPROVAL   APPROVED
install-2dq6z   etcdoperator.v0.9.4   Manual     false

$ oc version
Client Version: v4.2.0-alpha.0-892-gdb6b7f1
Server Version: 4.7.0-0.ci-2020-12-07-085840
Kubernetes Version: v1.19.2-1007+ad738ba548b6d6-dirty

LGTM

Comment 5 errata-xmlrpc 2020-12-14 13:51:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.